diff --git a/lang/cat.l b/lang/cat.l
index 9dfac90a6..b7fb7a487 100644
--- a/lang/cat.l
+++ b/lang/cat.l
@@ -745,12 +745,8 @@ NICK_INFO_SYNTAX
 	INFO nick [ALL]
 NICK_INFO_REALNAME
 	%s es %s
-NICK_INFO_SERVICES_OPER
-	%s es un operador de serveis.
-NICK_INFO_SERVICES_ADMIN
-	%s es un administrador de serveis.
-NICK_INFO_SERVICES_ROOT
-	%s is a services root administrator.
+NICK_INFO_SERVICES_OPERTYPE
+	%s is a services operator of type %s.
 NICK_INFO_ADDRESS
 	Ultima adreça vista: %s
 NICK_INFO_ADDRESS_ONLINE
diff --git a/lang/de.l b/lang/de.l
index cb59daad3..f9dc783df 100644
--- a/lang/de.l
+++ b/lang/de.l
@@ -762,12 +762,8 @@ NICK_INFO_SYNTAX
 	INFO Nickname [ALL]
 NICK_INFO_REALNAME
 	%s ist %s
-NICK_INFO_SERVICES_OPER
-	%s ist ein Services Operator.
-NICK_INFO_SERVICES_ADMIN
-	%s ist ein Services Administrator.
-NICK_INFO_SERVICES_ROOT
-	%s ist ein Services Root Administrator.
+NICK_INFO_SERVICES_OPERTYPE
+	%s is a services operator of type %s.
 NICK_INFO_ADDRESS
 	Letzte gesehene Hostmaske: %s
 NICK_INFO_ADDRESS_ONLINE
diff --git a/lang/en_us.l b/lang/en_us.l
index a2f52aa9a..f2f029644 100644
--- a/lang/en_us.l
+++ b/lang/en_us.l
@@ -730,12 +730,8 @@ NICK_INFO_SYNTAX
 	INFO nick [ALL]
 NICK_INFO_REALNAME
 	%s is %s
-NICK_INFO_SERVICES_OPER
-	%s is a services operator.
-NICK_INFO_SERVICES_ADMIN
-	%s is a services admin.
-NICK_INFO_SERVICES_ROOT
-	%s is a services root administrator.
+NICK_INFO_SERVICES_OPERTYPE
+	%s is a services operator of type %s.
 NICK_INFO_ADDRESS
 	Last seen address: %s
 NICK_INFO_ADDRESS_ONLINE
diff --git a/lang/es.l b/lang/es.l
index e989f9c0a..0c1b51c9f 100644
--- a/lang/es.l
+++ b/lang/es.l
@@ -747,12 +747,8 @@ NICK_INFO_SYNTAX
 	INFO nick [ALL]
 NICK_INFO_REALNAME
 	%s es %s
-NICK_INFO_SERVICES_OPER
-	%s es un operador de servicios.
-NICK_INFO_SERVICES_ADMIN
-	%s es un administrador de servicios.
-NICK_INFO_SERVICES_ROOT
-	%s is a services root administrator.
+NICK_INFO_SERVICES_OPERTYPE
+	%s is a services operator of type %s.
 NICK_INFO_ADDRESS
 	Ultima direccion vista: %s
 NICK_INFO_ADDRESS_ONLINE
diff --git a/lang/fr.l b/lang/fr.l
index 90f39bc11..068086947 100644
--- a/lang/fr.l
+++ b/lang/fr.l
@@ -754,12 +754,8 @@ NICK_INFO_SYNTAX
 	INFO pseudo [ALL]
 NICK_INFO_REALNAME
 	%s est %s
-NICK_INFO_SERVICES_OPER
-	%s est opérateur des services.
-NICK_INFO_SERVICES_ADMIN
-	%s est administrateur des services.
-NICK_INFO_SERVICES_ROOT
-	%s est un services root.
+NICK_INFO_SERVICES_OPERTYPE
+	%s is a services operator of type %s.
 NICK_INFO_ADDRESS
 	            Adresse: %s
 NICK_INFO_ADDRESS_ONLINE
diff --git a/lang/gr.l b/lang/gr.l
index ddc60248b..c697976a5 100644
--- a/lang/gr.l
+++ b/lang/gr.l
@@ -743,12 +743,8 @@ NICK_INFO_SYNTAX
 	INFO nick [ALL]
 NICK_INFO_REALNAME
 	%s åßíáé %s
-NICK_INFO_SERVICES_OPER
-	%s åßíáé Ýíáò ÷åéñéóôÞò ôùí õðçñåóéþí.
-NICK_INFO_SERVICES_ADMIN
-	%s åßíáé ï åðéêåöáëÞò ôùí õðçñåóéþí.
-NICK_INFO_SERVICES_ROOT
-	%s is a services root administrator.
+NICK_INFO_SERVICES_OPERTYPE
+	%s is a services operator of type %s.
 NICK_INFO_ADDRESS
 	Ôåëåõôáßá äéåýèõíóç: %s
 NICK_INFO_ADDRESS_ONLINE
diff --git a/lang/hun.l b/lang/hun.l
index b8a14eaa7..37a0e65bf 100644
--- a/lang/hun.l
+++ b/lang/hun.l
@@ -741,12 +741,8 @@ NICK_INFO_SYNTAX
 	INFO nick [ALL]
 NICK_INFO_REALNAME
 	%s az %s
-NICK_INFO_SERVICES_OPER
-	%s egy szervíz operátor.
-NICK_INFO_SERVICES_ADMIN
-	%s egy szervíz adminisztrátor.
-NICK_INFO_SERVICES_ROOT
-	%s egy szervíz root adminisztrátor.
+NICK_INFO_SERVICES_OPERTYPE
+	%s is a services operator of type %s.
 NICK_INFO_ADDRESS
 	Utoljára látott cím: %s
 NICK_INFO_ADDRESS_ONLINE
diff --git a/lang/it.l b/lang/it.l
index f432060b1..3b73032c8 100644
--- a/lang/it.l
+++ b/lang/it.l
@@ -738,12 +738,8 @@ NICK_INFO_SYNTAX
 	INFO nick [ALL]
 NICK_INFO_REALNAME
 	%s è %s
-NICK_INFO_SERVICES_OPER
-	%s è un operatore dei servizi (services oper).
-NICK_INFO_SERVICES_ADMIN
-	%s è un amministratore dei servizi (services admin).
-NICK_INFO_SERVICES_ROOT
-	%s è un amministratore root dei servizi (services root admin).
+NICK_INFO_SERVICES_OPERTYPE
+	%s is a services operator of type %s.
 NICK_INFO_ADDRESS
 	     Ultimo indirizzo usato: %s
 NICK_INFO_ADDRESS_ONLINE
diff --git a/lang/nl.l b/lang/nl.l
index 3f0dfb3b7..7b2b2c5a8 100644
--- a/lang/nl.l
+++ b/lang/nl.l
@@ -753,12 +753,8 @@ NICK_INFO_SYNTAX
 	INFO nick [ALL]
 NICK_INFO_REALNAME
 	%s is %s
-NICK_INFO_SERVICES_OPER
-	%s is een services beheerder.
-NICK_INFO_SERVICES_ADMIN
-	%s is een services eigenaar.
-NICK_INFO_SERVICES_ROOT
-	%s is a services root administrator.
+NICK_INFO_SERVICES_OPERTYPE
+	%s is a services operator of type %s.
 NICK_INFO_ADDRESS
 	Laatst bekende adres: %s
 NICK_INFO_ADDRESS_ONLINE
diff --git a/lang/pl.l b/lang/pl.l
index c1830ea2b..bdca1c812 100644
--- a/lang/pl.l
+++ b/lang/pl.l
@@ -931,14 +931,8 @@ NICK_INFO_SYNTAX
 NICK_INFO_REALNAME
 	%s to %s
 
-NICK_INFO_SERVICES_OPER
-	%s jest operatorem serwisów.
-
-NICK_INFO_SERVICES_ADMIN
-	%s jest administratorem serwisów.
-
-NICK_INFO_SERVICES_ROOT
-	%s jest g³ównym administratorem serwisów.
+NICK_INFO_SERVICES_OPERTYPE
+	%s is a services operator of type %s.
 
 NICK_INFO_ADDRESS
 	  Ostatni host: %s
diff --git a/lang/pt.l b/lang/pt.l
index 6424337f2..9c1a86d43 100644
--- a/lang/pt.l
+++ b/lang/pt.l
@@ -749,12 +749,8 @@ NICK_INFO_SYNTAX
 	INFO nick [ALL]
 NICK_INFO_REALNAME
 	%s é %s
-NICK_INFO_SERVICES_OPER
-	%s é um Operador dos Services.
-NICK_INFO_SERVICES_ADMIN
-	%s é um Administrador dos Services.
-NICK_INFO_SERVICES_ROOT
-	%s é um Services Root Administrator.
+NICK_INFO_SERVICES_OPERTYPE
+	%s is a services operator of type %s.
 NICK_INFO_ADDRESS
 	   Último endereço visto: %s
 NICK_INFO_ADDRESS_ONLINE
diff --git a/lang/ru.l b/lang/ru.l
index 6277ffd62..338452fd1 100644
--- a/lang/ru.l
+++ b/lang/ru.l
@@ -731,12 +731,8 @@ NICK_INFO_SYNTAX
 	INFO íèê [ALL]
 NICK_INFO_REALNAME
 	%s ýòî %s
-NICK_INFO_SERVICES_OPER
-	%s èìååò ïðèâèëåãèè Îïåðàòîðà ñåðâèñîâ.
-NICK_INFO_SERVICES_ADMIN
-	%s èìååò ïðèâèëåãèè Àäìèíèñòðàòîðà ñåðâèñîâ.
-NICK_INFO_SERVICES_ROOT
-	%s èìååò ïðèâèëåãèè Ðóòà ñåðâèñîâ.
+NICK_INFO_SERVICES_OPERTYPE
+	%s is a services operator of type %s.
 NICK_INFO_ADDRESS
 	Ïîñëåäíÿÿ ìàñêà.........: %s
 NICK_INFO_ADDRESS_ONLINE
diff --git a/lang/tr.l b/lang/tr.l
index 8fac636d2..66a2994ee 100644
--- a/lang/tr.l
+++ b/lang/tr.l
@@ -750,12 +750,8 @@ NICK_INFO_SYNTAX
 	INFO nick [ALL]
 NICK_INFO_REALNAME
 	   %s                isim: %s
-NICK_INFO_SERVICES_OPER
-	      %s servis operatörüdür.
-NICK_INFO_SERVICES_ADMIN
-	      %s servis adminidir.
-NICK_INFO_SERVICES_ROOT
-	%s is a services root administrator.
+NICK_INFO_SERVICES_OPERTYPE
+	%s is a services operator of type %s.
 NICK_INFO_ADDRESS
 	      Son görüldüðü adres: %s
 NICK_INFO_ADDRESS_ONLINE
